For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Data Models
      • GETList Projects
      • POSTCreate Project
      • GETRetrieve Project
      • PUTUpdate Project
      • DELDelete Project
        • GETList Project Members
        • PUTUpdate Project Member Role
        • DELRemove Project Member
  • Evals
  • Legacy
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Data ModelsProjectsMembers

Update Project Member Role

PUT
https://api.confident-ai.com/v1/projects/:projectId/members/:userId
PUT
/v1/projects/:projectId/members/:userId
$curl -X PUT https://api.confident-ai.com/v1/projects/projectId/members/userId \
> -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>" \
> -H "Content-Type: application/json" \
> -d '{
> "roleId": "project-role-uuid-2"
>}'
200Updated
1{
2 "success": true,
3 "data": {
4 "member": {
5 "id": "user-uuid-2",
6 "email": "bob@example.com",
7 "name": "Bob",
8 "image": null,
9 "projectRole": {
10 "id": "project-role-uuid-2",
11 "name": "Member"
12 }
13 }
14 }
15}

Changes a member’s project role. Assigning the Owner role to another member transfers ownership, demoting the current Owner to Manager.

Was this page helpful?
Previous

Remove Project Member

Next
Built with

Path parameters

projectIdstringRequired
The unique identifier of the project.
userIdstringRequired
The unique identifier of the member.

Headers

CONFIDENT_API_KEYstringRequired
The organization API key for your Confident AI organization.

Request

This endpoint expects an object.
roleIdstringRequired
The id of the role to assign to the member.

Response

successboolean
Indicates if the request was successful
dataobject